%define qtdir /usr/lib/qt-1.44
%define name killustrator
%define version 0.6.5
%define release 8

Summary: %{name} - a vector graphics application for KDE.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp.kde.org/pub/kde/stable/1.1.1/apps/utils/%{name}-%{version}.tar.gz
Copyright: GPL
Group: Applications/Publishing
BuildRoot: /var/tmp/%{name}-buildroot
Prefix: %{_prefix}
Requires: kdesupport

%description
KIllustrator is a vector drawing program for the K Desktop
Environment. The aim of the KIllustrator project is the development of
a freely available vector-based drawing application similiar to Corel
Draw or Adobe Illustrator. I have started this project because I am
tired of switching to Windows in order to design illustrations for
papers or slides with a modern drawing tool. Now, for the Linux
operating system and of course for other Unixes the Qt toolkit and the
KDE project provide a perfect foundation for this kind of application.

%prep
%setup

%build
export QTDIR=%{qtdir}
CFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" \
./configure --prefix=%{prefix} --with-install-root=$RPM_BUILD_ROOT

make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/%{prefix}/bin/killustrator
/%{prefix}/share/applnk/Graphics/killustrator.kdelnk
/%{prefix}/share/apps/killustrator/default.pal
/%{prefix}/share/apps/killustrator/pics/ahcenter.xpm
/%{prefix}/share/apps/killustrator/pics/aleft.xpm
/%{prefix}/share/apps/killustrator/pics/aright.xpm
/%{prefix}/share/apps/killustrator/pics/atop.xpm
/%{prefix}/share/apps/killustrator/pics/abottom.xpm
/%{prefix}/share/apps/killustrator/pics/avcenter.xpm
/%{prefix}/share/apps/killustrator/pics/dleft.xpm
/%{prefix}/share/apps/killustrator/pics/dright.xpm
/%{prefix}/share/apps/killustrator/pics/dhcenter.xpm
/%{prefix}/share/apps/killustrator/pics/dhdist.xpm
/%{prefix}/share/apps/killustrator/pics/dtop.xpm
/%{prefix}/share/apps/killustrator/pics/dbottom.xpm
/%{prefix}/share/apps/killustrator/pics/dvcenter.xpm
/%{prefix}/share/apps/killustrator/pics/dvdist.xpm
/%{prefix}/share/apps/killustrator/pics/ellipsetool.xpm
/%{prefix}/share/apps/killustrator/pics/linetool.xpm
/%{prefix}/share/apps/killustrator/pics/freehandtool.xpm
/%{prefix}/share/apps/killustrator/pics/recttool.xpm
/%{prefix}/share/apps/killustrator/pics/selecttool.xpm
/%{prefix}/share/apps/killustrator/pics/texttool.xpm
/%{prefix}/share/apps/killustrator/pics/beziertool.xpm
/%{prefix}/share/apps/killustrator/pics/zoomtool.xpm
/%{prefix}/share/apps/killustrator/pics/polygontool.xpm
/%{prefix}/share/apps/killustrator/pics/pointtool.xpm
/%{prefix}/share/apps/killustrator/pics/ellipse1.xpm
/%{prefix}/share/apps/killustrator/pics/ellipse2.xpm
/%{prefix}/share/apps/killustrator/pics/ellipse3.xpm
/%{prefix}/share/apps/killustrator/pics/hmirror.xpm
/%{prefix}/share/apps/killustrator/pics/vmirror.xpm
/%{prefix}/share/apps/killustrator/pics/tleftalign.xpm
/%{prefix}/share/apps/killustrator/pics/tcenteralign.xpm
/%{prefix}/share/apps/killustrator/pics/trightalign.xpm
/%{prefix}/share/apps/killustrator/pics/killustrator.xpm
/%{prefix}/share/apps/killustrator/pics/logo.xpm
/%{prefix}/share/apps/killustrator/pics/deletelayer.xpm
/%{prefix}/share/apps/killustrator/pics/lowerlayer.xpm
/%{prefix}/share/apps/killustrator/pics/newlayer.xpm
/%{prefix}/share/apps/killustrator/pics/raiselayer.xpm
/%{prefix}/share/apps/killustrator/pics/eye.xpm
/%{prefix}/share/apps/killustrator/pics/deleteNode.xpm
/%{prefix}/share/apps/killustrator/pics/joinNodes.xpm
/%{prefix}/share/apps/killustrator/pics/moveNode.xpm
/%{prefix}/share/apps/killustrator/pics/newNode.xpm
/%{prefix}/share/apps/killustrator/pics/split.xpm
/%{prefix}/share/apps/killustrator/pics/mini-killustrator.xpm
/%{prefix}/share/icons/killustrator.xpm
/%{prefix}/share/icons/killustrator-doc.xpm
/%{prefix}/share/icons/killustrator-doc-mini.xpm
/%{prefix}/share/icons/mini/killustrator.xpm
/%{prefix}/share/mimelnk/application/x-killustrator.kdelnk
/%{prefix}/share/locale/de/LC_MESSAGES/killustrator.mo
/%{prefix}/share/locale/fr/LC_MESSAGES/killustrator.mo
/%{prefix}/share/locale/no/LC_MESSAGES/killustrator.mo
/%{prefix}/share/locale/pt/LC_MESSAGES/killustrator.mo
/%{prefix}/share/locale/pt_BR/LC_MESSAGES/killustrator.mo
/%{prefix}/share/locale/sk/LC_MESSAGES/killustrator.mo

%changelog
* Sun Sep 20 1999 Preston Brown <pbrown@redhat.com>
- updated for powertools 6.1

* Wed Aug 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the requirement of kdebase cvs.

* Sat Jul 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rewriting the spec file.
- 0.6.5.
